using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Common.Page;
using GxPress.Request.App.TopicAnalyze;
using GxPress.Request.NoticeAnalyze;
using GxPress.Result.App.Topic;
using GxPress.Result.Notice;
using Datory;
using GxPress.Entity.Topic;

namespace GxPress.Repository.Interface
{
  public  interface ITopicAnalyzeRepository:IRepository
    {
        Task<bool> SetTopicAnalyzeAsync(TopicAnalyzeRequest request);
        Task<PagedList<TopicPraisePageResult>> GetTopicPraisePageAsync(TopicPraisePageSearchRequest request);

        Task<int> CountAsync(SqlKata.Query query);

        Task<TopicAnalyze> GetAsync(SqlKata.Query query);

        Task<bool> DeleteAsync(int id);
    }
}
